Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface ITextEditorExtension3

All Known Implementing Classes:
  AbstractTextEditor

public interface ITextEditorExtension3

Extension interface for `ITextEditor`. Adds the following functions:

- insert mode management

Since:
  3.0

Nested Class Summary
`static class` | `ITextEditorExtension3.InsertMode` Constitutes entities to enumerate the editor insert modes.

Field Summary
`static ITextEditorExtension3.InsertMode` | `INSERT` Represents the non-smart insert mode.
`static ITextEditorExtension3.InsertMode` | `SMART_INSERT` Represents the smart insert mode.

Method Summary
`ITextEditorExtension3.InsertMode` | `getInsertMode()` Returns the current input mode of this editor.
`boolean` | `isChangeInformationShowing()` Returns the quick diff display state.
`void` | `setInsertMode(ITextEditorExtension3.InsertMode mode)` Sets the insert mode of this editor.
`void` | `showChangeInformation(boolean show)` Sets the display of quick diff information.

Field Detail

### INSERT

    public static final ITextEditorExtension3.InsertMode INSERT

  Represents the non-smart insert mode.

### SMART_INSERT

    public static final ITextEditorExtension3.InsertMode SMART_INSERT

  Represents the smart insert mode.

Method Detail

### getInsertMode

    public ITextEditorExtension3.InsertMode getInsertMode()

  Returns the current input mode of this editor.

  Returns:
    the current input mode of this editor

### setInsertMode

    public void setInsertMode(ITextEditorExtension3.InsertMode mode)

  Sets the insert mode of this editor.

  Parameters:
    `mode` - the new insert mode
  Throws:
    `IllegalArgumentException` - if `mode` is not a legal insert mode for this editor

### showChangeInformation

    public void showChangeInformation(boolean show)

  Sets the display of quick diff information.

  Parameters:
    `show` - `true` if quick diff information should be shown, `false` otherwise

### isChangeInformationShowing

    public boolean isChangeInformationShowing()

  Returns the quick diff display state.

  Returns:
    `true` if quick diff info is displayed, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.